aboutsummaryrefslogtreecommitdiffstats
path: root/testing/todo.txt-cli/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-05-19 09:29:42 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-05-19 09:29:42 +0000
commit5224e79d26b2e45daf403153ce8325ed647d681e (patch)
treed455550d1ab666e4bb5842e96f5acab8b7f1bd68 /testing/todo.txt-cli/APKBUILD
parent67d6ce49c6349f7f1316aca24ecbec22c5c2b444 (diff)
downloadaports-5224e79d26b2e45daf403153ce8325ed647d681e.tar.gz
aports-5224e79d26b2e45daf403153ce8325ed647d681e.tar.bz2
aports-5224e79d26b2e45daf403153ce8325ed647d681e.tar.xz
testing/todo.txt-cli: new aport
Diffstat (limited to 'testing/todo.txt-cli/APKBUILD')
-rw-r--r--testing/todo.txt-cli/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/todo.txt-cli/APKBUILD b/testing/todo.txt-cli/APKBUILD
new file mode 100644
index 0000000000..96cbae5196
--- /dev/null
+++ b/testing/todo.txt-cli/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=todo.txt-cli
+pkgver=2.10
+pkgrel=0
+pkgdesc="A simple and extensible shell script for managing your todo.txt file."
+url="https://github.com/ginatrapani/todo.txt-cli"
+arch="noarch"
+license="GPL"
+depends="bash"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-bash-completion:bashcomp"
+source="https://github.com/ginatrapani/$pkgname/releases/download/v${pkgver}/${pkgname/-/_}-$pkgver.tar.gz"
+
+builddir="$srcdir"/${pkgname/-/_}-$pkgver
+build() {
+ cd "$builddir"
+ return 0
+}
+
+package() {
+ cd "$builddir"
+ install -D -m644 todo.cfg $pkgdir/etc/todo.cfg
+ install -D -m755 todo.sh $pkgdir/usr/bin/todo.sh
+}
+
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+ arch="noarch"
+
+ install -Dm644 "$builddir"/todo_completion \
+ "$subpkgdir"/usr/share/bash-completion/completions/${pkgname} || return 1
+}
+
+
+md5sums="d90098b5f031d117faf129a4c90e812d todo.txt_cli-2.10.tar.gz"
+sha256sums="b59417a26feeafd811e0f1ff17e85e69ac5bcb1a0544b736f539ffb8fe27f6a9 todo.txt_cli-2.10.tar.gz"
+sha512sums="98eb2bdcfb4e76f9313958e46eb8c9c8b68f06fb498b0b43eeb0d9e616a0c9944454fe00a45d6af89e51420f953c624f9e4c969127d478e3f2e76cc9a400d459 todo.txt_cli-2.10.tar.gz"